Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Acme.JPM.Encoders
Class PpmEncoder

    java.lang.Object
      Acme.JPM.Encoders.ImageEncoder
          Acme.JPM.Encoders.PpmEncoder

All Implemented Interfaces:
  java.awt.image.ImageConsumer

public class PpmEncoder
extends ImageEncoder

Field Summary

Fields inherited from class Acme.JPM.Encoders.ImageEncoder
`out`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`PpmEncoder(java.awt.Image img, java.io.OutputStream out)`
`PpmEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out)`

Methods inherited from class Acme.JPM.Encoders.ImageEncoder
`encode, getProperties, imageComplete, setColorModel, setDimensions, setHints, setPixels, setPixels, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PpmEncoder

    public PpmEncoder(java.awt.Image img,
                      java.io.OutputStream out)
               throws java.io.IOException

### PpmEncoder

    public PpmEncoder(java.awt.image.ImageProducer prod,
                      java.io.OutputStream out)
               throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details